package app

import (
	v1 "git.echol.cn/loser/ai_proxy/server/api/v1"
	"github.com/gin-gonic/gin"
)

type AiPresetBindingRouter struct{}

func (s *AiPresetBindingRouter) InitAiPresetBindingRouter(Router *gin.RouterGroup) {
	aiPresetBindingRouter := Router.Group("aiPresetBinding")
	aiPresetBindingApi := v1.ApiGroupApp.AppApiGroup.AiPresetBindingApi
	{
		aiPresetBindingRouter.POST("createAiPresetBinding", aiPresetBindingApi.CreateAiPresetBinding)
		aiPresetBindingRouter.DELETE("deleteAiPresetBinding", aiPresetBindingApi.DeleteAiPresetBinding)
		aiPresetBindingRouter.PUT("updateAiPresetBinding", aiPresetBindingApi.UpdateAiPresetBinding)
		aiPresetBindingRouter.GET("findAiPresetBinding", aiPresetBindingApi.FindAiPresetBinding)
		aiPresetBindingRouter.GET("getAiPresetBindingList", aiPresetBindingApi.GetAiPresetBindingList)
	}
}
